'use client'

import useGetShippingData from '@/hooks/server/useGetShippingData'
import { useCheckoutStore } from '@/store/checkout'
import { useEffect } from 'react'

export default function CheckoutHaypost() {
  const { shippingData, isFetched } = useGetShippingData()

  const setCheckoutStore = useCheckoutStore((state) => state.setCheckoutStore)

  useEffect(() => {
    if (isFetched && shippingData) {
      setCheckoutStore(
        'deliveryTypeId',
        shippingData[1].shipping_type_id.toString()
      )
    }
  }, [isFetched])

  if (!shippingData) return null

  return (
    <div
      className='reset break-words'
      dangerouslySetInnerHTML={{ __html: shippingData[1]?.description }}
    ></div>
    // <div className='flex flex-col gap-2 pt-2'>
    //   <h2 className='text-xl text-primary'>Անվճար առաքում Հայփոստով</h2>
    //   <div className='space-y-3 text-sm'>
    //     <p>Երևանում պատվերներն առաքվում են 1-2 աշխատանքային օրվա ընթացքում։</p>
    //     <p>Մարզերում պատվերներն առաքվում են 2-3 աշխատանքային օրվա ընթացքում։</p>
    //     <p>Պատվերը կարող եք ստանալ Հայփոստի մոտակա բաժանմունքից։</p>
    //   </div>
    //   <p className='pt-2 text-lg'>
    //     Վճարումը միայն անկանխիկ (Վճարային քարտեր, Իդրամ և Տելսել)
    //   </p>
    // </div>
  )
}
