import Image, { ImageProps } from 'next/image'
import { useEffect, useState } from 'react'

import placeholderDiamondRing from '@/public/icons/diamond-ring.png'

const ImageWithFallback = (props: ImageProps) => {
  const { src, alt = '', ...rest } = props
  const validSrc = src || placeholderDiamondRing
  const [imgSrc, setImgSrc] = useState(validSrc)

  useEffect(() => {
    setImgSrc(validSrc)
  }, [validSrc])

  return (
    <Image
      {...rest}
      src={imgSrc}
      alt={alt}
      onError={() => {
        setImgSrc(placeholderDiamondRing)
      }}
    />
  )
}

export default ImageWithFallback
