import { AxiosError } from 'axios'

import axiosClient from '@/services/axiosClient'
import type { Checkout } from '@/types'

export async function getCheckout(
  searchParams: any
): Promise<Checkout | undefined> {
  try {
    const res = await axiosClient('api/orders/all', {
      params: searchParams,
    })
    return res.data
  } catch (error) {
    if (error instanceof AxiosError) {
      const err = error.response?.data?.message
      throw new Error(err)
    }
  }
}
