import axiosClient from '@/services/axiosClient'
import { ProductType } from '@/types'
import { AxiosError } from 'axios'

export async function getRecentlyViewed(
  ids: number[]
): Promise<ProductType[] | undefined> {
  try {
    const res = await axiosClient('api/get-recently-viewed', {
      params: {
        ids,
      },
    })
    return res.data.data
  } catch (error) {
    if (error instanceof AxiosError) {
      console.log(error)
    }
  }
}
